svg{
	height:5em;
	width:5em;
}

table, th, td {
    border:1px solid;
    border-collapse:collapse;
    border-color: white;
}
button:disabled{
    background:color-mix(in srgb, white 25%, transparent);
}
button:hover{
    background-color:revert;
}

span.pre{
	margin-left:1em;
}

button:disabled:hover{
    background: color-mix(in srgb, white 25%, transparent);
    opacity: 1;
}

input[type="text"],input[type="number"]{
	width: 10ch;
}
input[type="time"]{
	font-size:1.5em;
	width:5em;
    display:flex;
	justify-content:center;
}
input[type="color"]{
	height:1em;
	width:1em;
	border-radius:50%;
	padding:0;
	margin:0;
	outline:0;
}

input[type="number"]{
    width:6ch;
}
input[type="number"][min="0"]{
    width:4ch;
}
input:disabled{
    border:none;
}
input:focus-visible{
    outline:none;
    border-bottom:dotted 2px;
}

.selector_div{
	display:flex;
	flex-direction:column;
	justify-content:center;
	height:100%;
	position:absolute;
}
.selector_fieldset{
    font-size:2em;
}
.selector_div button{
	font:inherit;
    border-color:inherit;
	border-style:solid;
	border-radius:10px;
	width:10ch;
	height:1.5em;
}

.config_editor_div{
	display:flex;
	flex-direction:column;
	justify-content: start;
    font-size:2em;
	height: fit-content;
	padding-bottom: 0.75em;
}

.team_editor{
    display:flex;
    flex-direction:column;
}

.team_div{
    display:flex;
    flex-direction:column;
    color:white;
    border:solid white;
    border-radius:0.75em 15px 15px 15px;
}
.team_editor .icon-button{
	height:1.5em;
	width:1.5em;
	font-size:inherit;
}
.team_editor .color_input_div{
	position:relative;
	border-radius:50%;
	height:1.5em;
	width:1.5em;
	border:none;
	padding:0;
}
.team_editor .color_input_div:after{
	content:'🖌';
	color:black;
	font-weight: 1000;
	font-size: .8em;
	border-radius:50%;
	border:solid black;
	position:absolute;
	left:0;
	right:0;
	top:0;
	bottom:0;
	display: flex;
	flex-direction: column;
	justify-content: center;
	pointer-events: none;
}
.color_input_div input[type="color"]{
	height:inherit;
	width:inherit;
}
.team_inputs_div{
	display:flex;
	align-items:center;
	justify-content:space-around;
}
.player_div{
	display:flex;
	justify-content:left;
    border-color:inherit;
	border-style:solid;
	border-radius:15px;
}
.player_div input{
	display:flex;
	justify-content:center;
}
.player_div .upload_button{
	position:relative;
	height:1.5em;
	width:1.5em;
	border:none;
	padding:0;
}
.player_div .upload_button:after{
	content:'';
	border-radius:10px;
	border:solid black;
	position:absolute;
	left:0;
	right:0;
	top:0;
	bottom:0;
	pointer-events: none;
}
.player_div .upload_button img{
	height:inherit;
	width:inherit;
	border-radius:inherit;
}